# ImportBusinessEntitiesController_UploadImage

Upload a license image for a business account.

`POST /api/v1/ImportBusinessEntities/UploadImage/{accountId}`

**API:** Excise Platform API
**Tag:** ImportBusinessEntitiesController
**API Version:** v1
**Base URL:** https://excise.avalara.com
**Content-Type:** `multipart/form-data`
**Accepts:** `application/json`
**Authentication:** Basic (username + license key)

Source: https://developer.avalara.com/products/excise/api/methods/ImportBusinessEntitiesController/ImportBusinessEntitiesController_UploadImage/

## Description

Uploads a license image file for the specified business account. The file must be a valid image type
as defined by the site settings. If the business account already has a license image, the previous
image is replaced and the old file is removed from storage.
            
The request must be a multipart/form-data request containing exactly one image file.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-company-id` | integer | header | Yes | Company ID that owns the data. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see Client Headers. |
| `accountId` | integer | path | Yes | The ID of the business account |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Returns a response indicating the result of the upload operation. |  |

## Example Request

```bash
curl -X POST "https://excise.avalara.com/api/v1/ImportBusinessEntities/UploadImage/{accountId}" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: multipart/form-data" \
  -H "Accept: application/json"
```